Delete node access rule
curl --request DELETE \
--url https://api.chainstack.com/v2/nodes/{node_id}/access-rules/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chainstack.com/v2/nodes/{node_id}/access-rules/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chainstack.com/v2/nodes/{node_id}/access-rules/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Node access rules v2
Delete a node access rule with the Chainstack Platform API v2
Remove an access rule from a node using the Chainstack Platform API v2. Send a DELETE request to /v2/nodes//access-rules//.
DELETE
/
v2
/
nodes
/
{node_id}
/
access-rules
/
{id}
/
Delete node access rule
Authorizations
Chainstack API uses API keys to authenticate requests. You can view and manage your API keys in the platform UI.
Your API keys carry many privileges, so be sure to keep them secure!
Provide your API key as the Authorization header. The value of the header consists of Bearer prefix and secret key generated through the platform UI.
curl -X GET 'https://api.chainstack.com/v1/organization/' \
--header 'Authorization: Bearer FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'
All API requests must be made over HTTPS.
Path Parameters
ID of the node.
Example:
"ND-123-456-789"
A unique value identifying the Object.
Response
No response body
Last modified on October 5, 2026
Was this page helpful?